#----------------------------------------------------------------------------
#       GNU Makefile
#----------------------------------------------------------------------------
MAKEFILE        = Makefile.libee2
DEPENDENCY_FILE = .depend.Makefile.libee2
LIB_UNCHECKED   = libee2.a
SHLIB_UNCHECKED = libee2.$(SOEXT)

static_libs_only = 0


FILES = \
  b_attrdata \
  b_attribute \
  b_command \
  b_object \
  b_objtype \
  b_specification \
  b_time \
  b_value \
  beelib \
  state/b_context \
  state/b_state \
  state/b_statenode \
  state/b_transition

VPATH = .:state

LIB   = $(LIB_UNCHECKED)
SHLIB = $(SHLIB_UNCHECKED)

#----------------------------------------------------------------------------
#       Include macros and targets
#----------------------------------------------------------------------------
include $(ACE_ROOT)/include/makeinclude/wrapper_macros.GNU
LSRC   = $(addsuffix .cpp, $(FILES))
ACELIB = -lACE

include $(ACE_ROOT)/include/makeinclude/macros.GNU
include $(ACE_ROOT)/include/makeinclude/rules.common.GNU
include $(ACE_ROOT)/include/makeinclude/rules.nonested.GNU

INSTALL_CHECK = ./lib
ifeq ($(INSTALL_CHECK),)
  INSTALL = $(INSTALL_CHECK)
else
  INSLIB  = $(INSTALL_CHECK)
endif
include $(ACE_ROOT)/include/makeinclude/rules.lib.GNU
include $(ACE_ROOT)/include/makeinclude/rules.local.GNU

CPPFLAGS     += -I.
ifeq ($(static_libs),1)
  ifneq ($(LIB),)
    CPPFLAGS += -DACE_AS_STATIC_LIBS
  endif
endif


LDFLAGS      += -L$(ACE_ROOT)/ace

#----------------------------------------------------------------------------
#       Local targets
#----------------------------------------------------------------------------

realclean: clean 

